package java.de.TimeSlice;

/**
 * @author      Burghard Grueter
 * @author      Johannes Schick
 * @version     1.0, 11/06/2000
 * @since       JDK1.2
 */

	/**
	 * Exception class <pre>TaskNameAlreadyExist</pre>
	 * is thrown by some methods of the interface 
	 * <pre>ControlPanelListener</pre> when the TaskName
	 * exists already in the implementing class
	 */
class TaskNameAlreadyExist extends Exception
{
	public static final String TASKALREADYEXIST = "Taskname already exists";
	
	public TaskNameAlreadyExist(String s)
	{
		super(TASKALREADYEXIST+": "+s);
	}
	
	public TaskNameAlreadyExist() 
	{
		super(TASKALREADYEXIST);
	}
	
}