
import javax.swing.*;
import java.de.TimeSlice.*;

/**
 * @author      Burghard Grueter
 * @author      Johannes Schick
 * @version     1.0, 11/06/2000
 * @since       JDK1.2
 */
  
public class TimeSlice
{
  MainFrame mFrame;
  TaskManager tMan;
  TaskTimer tTime;
  

	/**
	 * instances of three different classes are needed
	 * to run <pre>TimeSlice</pre>, an instance of 
	 * <pre>TaskManager</pre>which manages the data of
	 * the tasks, furthermore an instance of Mainframe
	 * which is the 'Frame' of the GUI of <pre>TimeSlice</pre>
	 * and last the <pre>TaskTimer</pre> which calls specific
	 * update routines periodically
	 */
  public TimeSlice()
  {
    tMan = new TaskManager();
	mFrame = new MainFrame("TimeSlice", tMan);	
	tTime = new TaskTimer(tMan);
	tTime.start();
	mFrame.pack();
    mFrame.show();
  }
  
  public static void main(String[] args)
  {
  	 TimeSlice h = new TimeSlice();
  } 
}
